<aside class="sdbr-cn cols-n3" itemscope="itemscope" itemtype="http://schema.org/WPSideBar">
  <?php
  // Do some actions before the widget area
  do_action('myarcadetheme_before_sidebar_widgets');

  // Reset WordPress query vars
  wp_reset_query();

  if ( is_single() ) {
    if ( is_active_sidebar('single-sidebar') ) {
      dynamic_sidebar('single-sidebar');
    }
    else {
      ?>
      <div class="box sidebar">
        <div class="warning">
          <?php _e('This is your Game Sidebar and no widgets have been placed here, yet!', 'myarcadetheme'); ?>
          <p><?php sprintf( __('Click %shere%s to setup this this sidebar!', 'myarcadetheme'), '<a href="'.home_url().'/wp-admin/widgets.php">', '</a>'); ?></p>
        </div>
      </div>
      <?php
    }
  }
  elseif ( is_page() ) {
    if ( is_active_sidebar('page-sidebar') ) {
      dynamic_sidebar('page-sidebar');
    }
    else {
      ?>
      <div class="box sidebar">
        <div class="warning">
          <?php _e('This is your Page Sidebar and no widgets have been placed here, yet!', 'myarcadetheme'); ?>
          <p><?php sprintf( __('Click %shere%s to setup this this sidebar!', 'myarcadetheme'), '<a href="'.home_url().'/wp-admin/widgets.php">', '</a>'); ?></p>
        </div>
      </div>
      <?php
    }
  }
  elseif ( is_category() ) {
    if ( is_active_sidebar('category-sidebar') ) {
      dynamic_sidebar('category-sidebar');
    }
    else {
      ?>
      <div class="box sidebar">
        <div class="warning">
          <?php _e('This is your Category Sidebar and no widgets have been placed here, yet!', 'myarcadetheme'); ?>
          <p><?php sprintf( __('Click %shere%s to setup this this sidebar!', 'myarcadetheme'), '<a href="'.home_url().'/wp-admin/widgets.php">', '</a>'); ?></p>
        </div>
      </div>
      <?php
    }
  }
  else {
      // Home Sidebar
    if ( is_active_sidebar('others-sidebar') ) {
      dynamic_sidebar('others-sidebar');
    }
    else {
      the_widget('WP_Widget_MABP_User_Login', 'title='.__('User Panel', 'myarcadetheme').'', 'before_title=<div class="titl">&after_title=</div>&before_widget=<div id="mabp_user_login" class="blk-cn widget_mabp_user_login">&after_widget=</div>');
      the_widget('WP_Widget_MABP_Recent_Games', 'title='.__('Recent Games', 'myarcadetheme').'&limit=12', 'before_title=<div class="titl">&after_title=</div>&before_widget=<div id="mabp_recent_games" class="blk-cn widget_mabp_recent_games">&after_widget=</div>');
      the_widget('WP_Widget_MABP_Random_Games', 'title='.__('Featured Games', 'myarcadetheme').'&limit=12&wcategory=0', 'before_title=<div class="titl">&after_title=</div>&before_widget=<div id="mabp_random_games" class="blk-cn widget_mabp_random_games">&after_widget=</div>');
    }
  }

  // Do some actions after the widget area
  do_action('myarcadetheme_after_sidebar_widgets');
  ?>
</aside>